Subject: bug#36278: update

From: Stephen Leake <[email-masked]>
Date: Sat, 22 Jun 2019 12:22:49 -0700

Can you post a working example showing ada-mode 5.2 respecting the
casing of the declaration? As far as I know, that has never been
supported by ada-mode.

The GNAT compiler casing check does enforce that.

The ada-mode parser does not do name resolution, so it cannot
associate a variable use with a variable declaration, so it is not
possible to implement this.

We could automate declaring the exceptions; the parser can find all
variable declarations in a file, and check to see if they need a casing
exception.

If there are a lot of exceptions that are single-file only, we could
support per-file exceptions, by declaring them in the Emacs Local
Variables.

-- 
-- Stephe